Skip to main content
GET
/
trader
/
{authority}
/
collateral-history
Get collateral history
curl --request GET \
  --url https://perp-api.phoenix.trade/trader/{authority}/collateral-history
{
  "data": [
    {
      "amount": 123,
      "collateralAfter": 123,
      "eventIndex": 123,
      "eventType": "<string>",
      "slot": 123,
      "slotIndex": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "traderPdaIndex": 123,
      "traderSubaccountIndex": 123
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>",
  "prevCursor": "<string>"
}

Path Parameters

authority
string
required

Authority pubkey

Query Parameters

pdaIndex
integer<int32>
Required range: x >= 0
nextCursor
string
prevCursor
string
cursor
string
limit
integer<int64>
required

Response

200 - application/json

Collateral history

Response for collateral event history queries

data
object[]
required

The data payload (array of items)

hasMore
boolean
required

Whether there are more results in the requested direction

nextCursor
string | null

Cursor for fetching older results

prevCursor
string | null

Cursor for fetching newer results